%define oname config-file
%define name ocaml-config-file
%define version 1.1
%define release %mkrel 3

Summary: OCaml library to manage the configuration files of an application
Name:    %{name}
Version: %{version}
Release: %{release}
Source0: http://forge.ocamlcore.org/frs/download.php/845/%{oname}-%{version}.tar.gz
License: LGPLv2+
Group:   Development/OCaml
Url: 	 http://config-file.forge.ocamlcore.org/
BuildRequires: ocaml-compiler
BuildRequires: ocaml-findlib
BuildRequires: camlp4

%description
Config_file is an OCaml library used to manage the configuration
file(s) of an application. You simply define your options and it
performs the loading and saving of the options. Each option is defined
from an option class (for example an "int" option) or from a
combination of classes (for example to create "list of int" options).

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.


%prep
%setup -q -n %{oname}-%{version}
%configure2_5x

%build
ocamlbuild config_file.cma
ocamlbuild config_file.cmxa
ocamlbuild config_file.cmxs

%install
install -d -m 755 %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.a %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.cma %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.cmi %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.cmx %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.cmxa %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.mli %{buildroot}/%{_libdir}/ocaml/config-file
install _build/config_file.cmxs %{buildroot}/%{_libdir}/ocaml/config-file

# Fix META to correspond to the files that are installed
sed -i 's/cmo/cma/' META
sed -i 's/cmx/cmxa/' META
install META %{buildroot}/%{_libdir}/ocaml/config-file

%files
%doc README
%dir %{_libdir}/ocaml/config-file
%{_libdir}/ocaml/config-file/*.cmi
%{_libdir}/ocaml/config-file/*.cma
%{_libdir}/ocaml/config-file/*.cmxs
%{_libdir}/ocaml/config-file/META

%files devel
%{_libdir}/ocaml/config-file/*.a
%{_libdir}/ocaml/config-file/*.cmx
%{_libdir}/ocaml/config-file/*.cmxa
%{_libdir}/ocaml/config-file/*.mli


%changelog

* Sat Feb 23 2013 malo <malo> 1.1-3.mga3
+ Revision: 400180
- fix META file

* Sat Jan 12 2013 umeabot <umeabot> 1.1-2.mga3
+ Revision: 361221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 malo <malo> 1.1-1.mga3
+ Revision: 341152
- add BR for camlp4
- add BR to ocaml-findlib
- imported package ocaml-config-file

